Package org.springframework.security.authentication.jaas

# Interface LoginExceptionResolver

All Known Implementing Classes:
  `DefaultLoginExceptionResolver`

public interface LoginExceptionResolver
The JaasAuthenticationProvider takes an instance of LoginExceptionResolver to resolve LoginModule specific exceptions to Spring Security `AuthenticationException`s. For instance, a configured login module could throw a ScrewedUpPasswordException that extends LoginException, in this instance the LoginExceptionResolver implementation would return a `BadCredentialsException`.

## Method Summary

Modifier and Type
Method
Description
`AuthenticationException`
`resolveException(LoginException ex)`
Translates a Jaas LoginException to an SpringSecurityException.

## Method Details

### resolveException

AuthenticationException resolveException(LoginException ex)
Translates a Jaas LoginException to an SpringSecurityException.

Parameters:
  `ex` - The LoginException thrown by the configured LoginModule.
Returns:
  The AuthenticationException that the JaasAuthenticationProvider should throw.